/* _dict.cc 14/08/96 15.00.36 */
/* cron.cc 15/08/98 13.08.28 */
int cron_install (const char *user, const char *options);
void cron_edit (const char *user, const char *suggest[][2]);
void cron_edit (const char *user);
int cron_isempty (const char *user);
/* group.cc 03/03/98 00.10.00 */
/* groups.cc 27/07/98 17.51.54 */
void groups_edit (void);
int group_getcreate (const char *name, const char *reason);
int groups_getpop (void);
int groups_getppp (void);
int groups_getslip (void);
int groups_getuucp (void);
int groups_add (const char *name);
int groups_del (const char *name);
/* helpf.cc 14/08/96 15.01.30 */
/* internal.cc 27/08/95 12.26.28 */
/* passwd_valid.cc 29/06/98 21.04.46 */
const char *policies_getdefhome (void);
const char *policies_getcreatecmd (void);
bool policies_privgroup (void);
const char *policies_getpostdeletecmd (void);
const char *policies_getdeletecmd (void);
const char *policies_getarchivecmd (void);
/* perm.cc 16/08/98 01.18.02 */
void passwd_sethook (int (*_fct_check)(const char *user),
	 int (*_fct_change)(const char *user, bool pre_authenticated),
	 int (*_fct_check_pair)(const char *user, const char *passwd));
void perm_forceok (void);
int perm_validpass (USERS&users,
	 const char *username,
	 const char *pass);
int perm_validpass (const char *username, const char *pass);
void perm_setaccess (const char *username, const char *password);
int perm_checkpass (void);
PRIVILEGE *perm_setdefprivi (PRIVILEGE *priv);
void perm_setbypass (int _b);
int perm_rootaccess (const char *ctl, ...);
int perm_access (PRIVILEGE *priv, const char *ctl, ...);
int perm_checkpriv (PRIVILEGE *priv);
void perm_sethtml (int _mode);
/* privi.cc 14/02/98 10.45.54 */
void privilege_setdialog (DIALOG&dia,
	 const char *user,
	 PRIVILEGE_DATAS&tb);
int privilege_validate (PRIVILEGE_DATAS&, int &nof);
PRIVILEGE *privilege_lookup (const char *id);
int privilege_save (const char *user,
	 PRIVILEGE_DATAS&tb,
	 PRIVILEGE *priv);
/* shadow.cc 01/05/98 15.19.00 */
int shadow_exist (void);
/* shells.cc 01/05/98 15.51.40 */
int shells_isok (const char *path);
int shells_exist (const char *path);
void shells_edituser (void);
void shells_editppp (void);
void shells_editslip (void);
int shells_isppp (const char *path);
int shells_isslip (const char *path);
const SSTRINGS *shells_getuserlist (void);
const SSTRINGS *shells_getppplist (void);
const SSTRINGS *shells_getsliplist (void);
const char *shells_getuucpdefault (void);
const SSTRINGS *shells_getuucplist (void);
const char *shells_getdefault (void);
const char *shells_getpppdefault (void);
const char *shells_getslipdefault (void);
/* special.cc 09/12/96 16.22.12 */
int special_init (const char *group, USER *&special);
PRIVILEGE *special_getpriv (const char *group);
/* upass.cc 24/09/98 23.28.32 */
void userconf_editupass (USERS&users, const char *server);
void userconf_editupass (void);
/* user.cc 13/09/98 13.29.44 */
int user_splitline (const char *line, char words[9][100]);
bool user_isadmin (const char *loginid);
int pass_isweak (const char *pass);
/* user1.cc 02/07/97 16.29.32 */
/* usercomng.cc 09/07/98 14.41.44 */
/* userconf.cc 15/08/98 13.19.56 */
void userconf_edit (void);
int userconf_passwd (int argc, char *argv[]);
int userconf_main (int argc, char *argv[]);
void userconf_listspc (void);
/* users.cc 19/08/98 13.02.56 */
void users_sethook (int (*_user_fct_del)(USER *, SHADOW *),
	 int (*_user_fct_add)(USER *, SHADOW *),
	 int (*_user_fct_mod)(USER *, SHADOW *));
void users_edit (USER *special, PRIVILEGE *priv, int editprivi);
int users_addone (const char *name,
	 const char *group,
	 const char *fullname);
int user_exist (const char *name);
int users_editone (const char *name,
	 const char *group,
	 const char *fullname);
int users_add (const char *id,
	 const char *group,
	 const char *name,
	 const char *shell);
int users_del (const char *id);
